ARC Graphical Clients: FTPFileServer Class Reference

# FTPFileServer Class Reference

Inheritance diagram for FTPFileServer:

List of all members.

## Public Member Functions
| FTPFileServer (QObject *parent=0)
QStringList | getFileInfoLabels ()
void | updateFileList (QString URL)
QVector< ARCFileElement > & | getFileList ()
bool | goUpOneFolder ()
QString | getCurrentURL ()
QString | getCurrentPath ()
bool | copyFromServer (QString sourcePath, QString destinationPath)
bool | copyToServer (QString sourcePath, QString destinationPath)
bool | copyToServer (QList< QUrl > &urlList, QString destinationPath)
bool | deleteItem (QString path)
bool | makeDir (QString path)
unsigned int | getFilePermissions (QString path)
void | setFilePermissions (QString path, unsigned int permissions)
virtual bool | deleteItems (QStringList &paths)
| Delete several files from the server.

## Member Function Documentation

bool FTPFileServer::copyFromServer | ( | QString | sourcePath,
|  | QString | destinationPath |
| ) |  |  | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

bool FTPFileServer::copyToServer | ( | QList< QUrl > & | urlList,
|  | QString | destinationPath |
| ) |  |  | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

bool FTPFileServer::copyToServer | ( | QString | sourcePath,
|  | QString | destinationPath |
| ) |  |  | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

bool FTPFileServer::deleteItem | ( | QString | path | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

QString FTPFileServer::getCurrentPath | ( |  | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

QString FTPFileServer::getCurrentURL | ( |  | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

QStringList FTPFileServer::getFileInfoLabels | ( |  | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

QVector<ARCFileElement>& FTPFileServer::getFileList | ( |  | ) | `[inline, virtual]`

Described in the abstract class FileServer

Implements FileServer.

unsigned int FTPFileServer::getFilePermissions | ( | QString | path | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

bool FTPFileServer::goUpOneFolder | ( |  | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

bool FTPFileServer::makeDir | ( | QString | path | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

void FTPFileServer::setFilePermissions | ( | QString | path,
|  | unsigned int | permissions |
| ) |  |  | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

void FTPFileServer::updateFileList | ( | QString | URL | ) | `[virtual]`

Described in the abstract class FileServer

Implements FileServer.

The documentation for this class was generated from the following files:

- /home/jonas/Development/arc-gui-clients/src/arcstorage-ui/ftpfileserver.h
- /home/jonas/Development/arc-gui-clients/src/arcstorage-ui/ftpfileserver.cpp

All Classes Functions Variables